Skip to content

Update survey response custom fields by id

Request

Security
bearerAuth and apiKeyAuth
Query
idstring

Survey response id

Bodyapplication/jsonrequired
responseCustomFieldsobject

Survey response custom fields to update

transactionCustomFieldsobject

Transaction custom fields to update

profileCustomFieldsobject

Profile custom fields to update

curl -i -X PUT \
  'https://api3.sprinklr.com/prod/api/v3/surveyResponse?id=string' \
  -H 'Authorization: Bearer <YOUR_Token_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Key: YOUR_API_KEY_HERE' \
  -d '{
    "responseCustomFields": {
      "property1": [
        "string"
      ],
      "property2": [
        "string"
      ]
    },
    "transactionCustomFields": {
      "property1": [
        "string"
      ],
      "property2": [
        "string"
      ]
    },
    "profileCustomFields": {
      "property1": [
        "string"
      ],
      "property2": [
        "string"
      ]
    }
  }'

Responses

Success

Bodyapplication/json
dataobject
errorsArray of objects(Error)
metadataobject(ResponseMetadata)
Response
{ "data": {}, "errors": [ { … } ], "metadata": {} }